Products and Services
  • Announcements
  • Promotions
  • Products and Services
  • Company News
  • Meet the Team
  • Security
blog image
blog image
September 21 2014
Products and Services

Economy Hosting LiteSpeed and PHP updates

PostedSunday September 21st 2014

We are pleased to announce that today is the start of the Economy Web Hosting service update week where we’ll be delivering our promised upgrade to LiteSpeed Web Server and updates of PHP to all Economy hosting servers. If you’re utilising an Economy Web Hosting service you will have received an email informing you of the changes, and this post is designed to provide a little more of the technical background. In the event you’re running a static HTML website or a CMS running the latest release, it’s unlikely you’ll need to do anything at all.

Each night a number of servers will be upgraded to LiteSpeed Web Server 4.2.14 which will deliver numerous benefits including up to 9 times increased performance over Apache and greater flexibility in how you work with PHP. During this maintenance the PHP version will also be updated to the latest PHP 5.5 release. This will standardise all Economy web hosting servers currently using either PHP 5.3.x or 5.4.x to bring you up to speed with the latest release, implement bug and security fixes, and general PHP improvements. Please note older PHP features such as register_globals, magic_quotes and sqlite are no longer available in PHP 5.5.

Despite this change each service will still support the use of older PHP versions, 5.2 through 5.5, to ensure we provide maximum compatibility for new and old scripts. You can switch between PHP versions using PHP Selector as per the steps below:

  1. Go to VIPControl, click Hosting Services and next to your service click the cPanel button; this will log you into your cPanel.
  2. On the cPanel homepage click the ‘Select PHP Version’ icon, which you’ll find under the¬†Software/Services heading.
  3. There you can select either 5.2, 5.3, 5.4, or 5.5, as well as select any PHP modules you require.

Joomla 1.5 users

If you are using Joomla 1.5 for your website, this upgrade may cause issues for your website and result in errors being displayed. To resolve these you will likely need to use PHP Selector to enable PHP 5.3 and reduce your error reporting levels. As a general advisory please be aware that Joomla 1.5 became End of Life (EOL) in September 2012 and is as such unpatched against high threat security risks – we recommend upgrading as soon as possible, especially as Joomla is now up to release 3.3.

Custom PHP values

In the past many of our clients utilised our PHP.INI Builder within VIPControl to customise their PHP environment; this included values such as memory_limit, max_upload_limit, etc. With the updates detailed above this process is now different and the PHP.INI Builder will be removed from VIPControl. All existing php.ini files will remain in place, but they will only work in the directory they’re located (no longer throughout subdirectories).

With the new PHP environment we’re hopeful that the majority of customers will not need to make any changes, but for those of you who do, there is a new method. The new preferred method of customising the php values in your environment is to utilise PHP selector in cPanel; this makes it quick and easy with greater flexibility. To customise your PHP values please follow the steps above to enable PHP Selector, selecting any non-native PHP version, and then click “Switch To PHP Settings” where you customise the values you require.

We’re not predicting any problems as we’ve completed these changes in the past for all Business and Multi Hosting servers; but if you do have any questions or run into problems, we can be reached 24/7 via eTicket. We hope you enjoy the supercharged servers.

Share this article
Angelo is our CEO and one of VentraIP Australia's co-founders. His passion for the industry is only rivaled by his drive...
Who are VentraIP Australia?
VentraIP Australia is the largest privately owned web host and domain name registrar in Australia, backed by a team of industry veterans and local technical professionals.
View website